View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001762aMuleGUIpublic2015-12-25 01:402016-11-25 17:55
Reporterzanetu 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSDebianOS VersionUnstable
Product VersionSVN 
Target Version2.3.3Fixed in Version2.3.3 
Summary0001762: Crash upon click on close button of the only "Results" tab
DescriptionaMule crashes when the only "Results" tab in the "Searches" window is closed.
Steps To Reproduce1. Download aMule source from http://repo.or.cz/w/amule.git/snapshot/3c58bd305b1f3e655db4bd2f030669cca3b4c11b.tar.gz [^]
2. Compile aMule
3. Start aMule
4. Switch to the "Searches" window
5. Input "a" (or any other string) in "Name:" and press Enter
6. Click the close button ("X") of the (only) "Results" tab
Additional InformationProgram received signal SIGSEGV, Segmentation fault.
0x00007ffff4354f36 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
(gdb) bt
#0 0x00007ffff4354f36 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000001 0x00007ffff43349bc in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000002 0x00007ffff389bf45 in g_closure_invoke () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000003 0x00007ffff38ae53e in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000004 0x00007ffff38b67c9 in g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000005 0x00007ffff38b705f in g_signal_emit () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000006 0x00007ffff444c31c in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000007 0x00007ffff4333154 in gtk_propagate_event () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000008 0x00007ffff433350b in gtk_main_do_event () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000009 0x00007ffff3fa7c2c in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
0000010 0x00007ffff35c6fd7 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffff35c7230 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000012 0x00007ffff35c7552 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000013 0x00007ffff4332587 in gtk_main () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000014 0x00007ffff5ff8de5 in wxGUIEventLoop::DoRun() () from /usr/lib/x86_64-linux-gnu/libwx_gtk2u_core-3.0.so.0
0000015 0x00007ffff57396e3 in wxEventLoopBase::Run() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000016 0x00007ffff56feb76 in wxAppConsoleBase::MainLoop() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000017 0x00007ffff578b2b0 in wxEntry(int&, wchar_t**) () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000018 0x00000000005aecb5 in main (argc=1, argv=0x7fffffffdfa8) at amule-gui.cpp:93
(gdb) bt full
#0 0x00007ffff4354f36 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
0000001 0x00007ffff43349bc in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
0000002 0x00007ffff389bf45 in g_closure_invoke () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
0000003 0x00007ffff38ae53e in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
0000004 0x00007ffff38b67c9 in g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
0000005 0x00007ffff38b705f in g_signal_emit () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
0000006 0x00007ffff444c31c in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
0000007 0x00007ffff4333154 in gtk_propagate_event () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
0000008 0x00007ffff433350b in gtk_main_do_event () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
0000009 0x00007ffff3fa7c2c in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
No symbol table info available.
0000010 0x00007ffff35c6fd7 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#11 0x00007ffff35c7230 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
0000012 0x00007ffff35c7552 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
0000013 0x00007ffff4332587 in gtk_main () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
0000014 0x00007ffff5ff8de5 in wxGUIEventLoop::DoRun() () from /usr/lib/x86_64-linux-gnu/libwx_gtk2u_core-3.0.so.0
No symbol table info available.
0000015 0x00007ffff57396e3 in wxEventLoopBase::Run() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
No symbol table info available.
0000016 0x00007ffff56feb76 in wxAppConsoleBase::MainLoop() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
No symbol table info available.
0000017 0x00007ffff578b2b0 in wxEntry(int&, wchar_t**) () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
No symbol table info available.
0000018 0x00000000005aecb5 in main (argc=1, argv=0x7fffffffdfa8) at amule-gui.cpp:93
No locals.
(gdb) thread apply all bt

Thread 9 (Thread 0x7fffd77fe700 (LWP 26869)):
#0 pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
0000001 0x00007ffff58498d9 in ?? () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000002 0x00007ffff584b515 in ?? () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000003 0x00000000006bcce0 in CTimerThread::Entry (this=0x3b1e8f0) at Timer.cpp:66
0000004 0x00007ffff584b782 in wxThread::CallEntry() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000005 0x00007ffff5852b83 in ?? () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000006 0x00007ffff7bc5284 in start_thread (arg=0x7fffd77fe700) at pthread_create.c:333
0000007 0x00007ffff4b3974d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7fffe8100700 (LWP 26866)):
#0 0x00007ffff7bcdeed in nanosleep () at ../sysdeps/unix/syscall-template.S:81
0000001 0x00007ffff5855d2c in wxMicroSleep(unsigned long) () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000002 0x0000000000568fb3 in UploadBandwidthThrottler::Entry (this=0x34c1670)
    at UploadBandwidthThrottler.cpp:323
0000003 0x00007ffff584b782 in wxThread::CallEntry() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000004 0x00007ffff5852b83 in ?? () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000005 0x00007ffff7bc5284 in start_thread (arg=0x7fffe8100700) at pthread_create.c:333
0000006 0x00007ffff4b3974d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7fffe4e2f700 (LWP 26863)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff360bb1a in g_cond_wait_until () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000002 0x00007ffff359ba19 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000003 0x00007ffff359c03b in g_async_queue_timeout_pop () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
0000004 0x00007ffff35ee41a in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000005 0x00007ffff35ed9c5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000006 0x00007ffff7bc5284 in start_thread (arg=0x7fffe4e2f700) at pthread_create.c:333
0000007 0x00007ffff4b3974d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7fffe5630700 (LWP 26862)):
#0 0x00007ffff359d4c8 in g_pointer_bit_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000001 0x00007ffff35ab2b8 in g_datalist_id_dup_data () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000002 0x00007ffff38a04ab in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000003 0x00007ffff38a0d3a in g_object_unref () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000004 0x00007ffff109e7de in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
0000005 0x00007ffff1041373 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
0000006 0x00007ffff10413a9 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
0000007 0x00007ffff35c6e8a in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000008 0x00007ffff35c7230 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000009 0x00007ffff35c7552 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000010 0x00007ffff109c396 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#11 0x00007ffff35ed9c5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000012 0x00007ffff7bc5284 in start_thread (arg=0x7fffe5630700) at pthread_create.c:333
0000013 0x00007ffff4b3974d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7fffe5e31700 (LWP 26861)):
#0 0x00007ffff4b3086d in poll () at ../sysdeps/unix/syscall-template.S:81
0000001 0x00007ffff35c71cc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000002 0x00007ffff35c72dc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000003 0x00007ffff35c7319 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
0000004 0x00007ffff35ed9c5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000005 0x00007ffff7bc5284 in start_thread (arg=0x7fffe5e31700) at pthread_create.c:333
0000006 0x00007ffff4b3974d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7ffff7f06a80 (LWP 26822)):
#0 0x00007ffff4354f36 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000001 0x00007ffff43349bc in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000002 0x00007ffff389bf45 in g_closure_invoke () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000003 0x00007ffff38ae53e in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000004 0x00007ffff38b67c9 in g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000005 0x00007ffff38b705f in g_signal_emit () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000006 0x00007ffff444c31c in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000007 0x00007ffff4333154 in gtk_propagate_event () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000008 0x00007ffff433350b in gtk_main_do_event () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000009 0x00007ffff3fa7c2c in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
0000010 0x00007ffff35c6fd7 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffff35c7230 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000012 0x00007ffff35c7552 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000013 0x00007ffff4332587 in gtk_main () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000014 0x00007ffff5ff8de5 in wxGUIEventLoop::DoRun() () from /usr/lib/x86_64-linux-gnu/libwx_gtk2u_core-3.0.so.0
0000015 0x00007ffff57396e3 in wxEventLoopBase::Run() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000016 0x00007ffff56feb76 in wxAppConsoleBase::MainLoop() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000017 0x00007ffff578b2b0 in wxEntry(int&, wchar_t**) () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000018 0x00000000005aecb5 in main (argc=1, argv=0x7fffffffdfa8) at amule-gui.cpp:93
TagsNo tags attached.
Fixed in Revision10973
Operating SystemLinux
Attached Files

- Relationships

-  Notes
(0003678)
d0ink (reporter)
2016-03-28 21:06

This crash happened with revision 10874.
Can you try with the latest one please?
I could not reproduce the issue myself.
(0003683)
zanetu (reporter)
2016-04-05 07:21

@d0ink

Just tried amule-svn-r10910 (http://repo.or.cz/amule.git/snapshot/4053dd2e9a934fd9da1105b9cb42e2cf374cc1ef.tar.gz [^] , not sure if it's the latest) but still no luck:

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff42f2f96 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
(gdb) bt
#0 0x00007ffff42f2f96 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000001 0x00007ffff42d29ec in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000002 0x00007ffff3839fa5 in g_closure_invoke () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000003 0x00007ffff384c56e in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000004 0x00007ffff38547f9 in g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000005 0x00007ffff385508f in g_signal_emit () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000006 0x00007ffff43ea33c in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000007 0x00007ffff42d1184 in gtk_propagate_event () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000008 0x00007ffff42d153b in gtk_main_do_event () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000009 0x00007ffff3f45c5c in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
0000010 0x00007ffff3563137 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffff3563390 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000012 0x00007ffff35636b2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000013 0x00007ffff42d05b7 in gtk_main () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000014 0x00007ffff5f8f9c5 in wxGUIEventLoop::DoRun() ()
   from /usr/lib/x86_64-linux-gnu/libwx_gtk2u_core-3.0.so.0
0000015 0x00007ffff56d06e3 in wxEventLoopBase::Run() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000016 0x00007ffff5695a06 in wxAppConsoleBase::MainLoop() ()
   from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000017 0x00007ffff5722300 in wxEntry(int&, wchar_t**) ()
   from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000018 0x00000000005b051b in main (argc=1, argv=0x7fffffffdc58) at amule-gui.cpp:95
(gdb) bt full
#0 0x00007ffff42f2f96 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
0000001 0x00007ffff42d29ec in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
0000002 0x00007ffff3839fa5 in g_closure_invoke () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
0000003 0x00007ffff384c56e in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
0000004 0x00007ffff38547f9 in g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
0000005 0x00007ffff385508f in g_signal_emit () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
0000006 0x00007ffff43ea33c in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
0000007 0x00007ffff42d1184 in gtk_propagate_event () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
0000008 0x00007ffff42d153b in gtk_main_do_event () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
0000009 0x00007ffff3f45c5c in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
No symbol table info available.
0000010 0x00007ffff3563137 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#11 0x00007ffff3563390 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
0000012 0x00007ffff35636b2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
0000013 0x00007ffff42d05b7 in gtk_main () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
0000014 0x00007ffff5f8f9c5 in wxGUIEventLoop::DoRun() ()
   from /usr/lib/x86_64-linux-gnu/libwx_gtk2u_core-3.0.so.0
No symbol table info available.
0000015 0x00007ffff56d06e3 in wxEventLoopBase::Run() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
No symbol table info available.
0000016 0x00007ffff5695a06 in wxAppConsoleBase::MainLoop() ()
   from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
No symbol table info available.
0000017 0x00007ffff5722300 in wxEntry(int&, wchar_t**) ()
   from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
No symbol table info available.
0000018 0x00000000005b051b in main (argc=1, argv=0x7fffffffdc58) at amule-gui.cpp:95
No locals.
(gdb) thread apply all bt

Thread 9 (Thread 0x7fffebb0c700 (LWP 3070)):
#0 pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
0000001 0x00007ffff57e09a9 in ?? () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000002 0x00007ffff57e25e5 in ?? () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000003 0x00000000006be27c in CTimerThread::Entry (this=0x3c31a40) at Timer.cpp:66
0000004 0x00007ffff57e2852 in wxThread::CallEntry() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000005 0x00007ffff57e9243 in ?? () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000006 0x00007ffff7bc5454 in start_thread (arg=0x7fffebb0c700) at pthread_create.c:334
0000007 0x00007ffff4ad7edd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7fffdb7fe700 (LWP 3067)):
#0 0x00007ffff7bce62d in nanosleep () at ../sysdeps/unix/syscall-template.S:84
0000001 0x00007ffff57ecdfc in wxMicroSleep(unsigned long) ()
   from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000002 0x000000000056acdf in UploadBandwidthThrottler::Entry (this=0x3b40fa0)
    at UploadBandwidthThrottler.cpp:323
0000003 0x00007ffff57e2852 in wxThread::CallEntry() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000004 0x00007ffff57e9243 in ?? () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000005 0x00007ffff7bc5454 in start_thread (arg=0x7fffdb7fe700) at pthread_create.c:334
0000006 0x00007ffff4ad7edd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7fffdbfff700 (LWP 3064)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff35a7cfa in g_cond_wait_until () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000002 0x00007ffff3537929 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
0000003 0x00007ffff3537f4b in g_async_queue_timeout_pop () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000004 0x00007ffff358a5ca in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000005 0x00007ffff3589b75 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000006 0x00007ffff7bc5454 in start_thread (arg=0x7fffdbfff700) at pthread_create.c:334
0000007 0x00007ffff4ad7edd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7fffe8f7c700 (LWP 3063)):
#0 0x00007ffff359c2a6 in g_variant_format_string_scan_type ()
   from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000001 0x00007ffff359c31e in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000002 0x00007ffff359ccda in g_variant_get_va () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000003 0x00007ffff359d140 in g_variant_get () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000004 0x00007ffff12ca65f in g_dbus_message_new_from_blob () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
0000005 0x00007ffff12d4acd in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
0000006 0x00007ffff1275b33 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
0000007 0x00007ffff1275b69 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
0000008 0x00007ffff3562fea in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000009 0x00007ffff3563390 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000010 0x00007ffff35636b2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffff12d2906 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
0000012 0x00007ffff3589b75 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000013 0x00007ffff7bc5454 in start_thread (arg=0x7fffe8f7c700) at pthread_create.c:334
0000014 0x00007ffff4ad7edd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7fffe977d700 (LWP 3062)):
#0 0x00007ffff4acee4d in poll () at ../sysdeps/unix/syscall-template.S:84
0000001 0x00007ffff356332c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
0000002 0x00007ffff356343c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000003 0x00007ffff3563479 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000004 0x00007ffff3589b75 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000005 0x00007ffff7bc5454 in start_thread (arg=0x7fffe977d700) at pthread_create.c:334
0000006 0x00007ffff4ad7edd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7ffff7f93a00 (LWP 3025)):
#0 0x00007ffff42f2f96 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000001 0x00007ffff42d29ec in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000002 0x00007ffff3839fa5 in g_closure_invoke () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000003 0x00007ffff384c56e in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000004 0x00007ffff38547f9 in g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000005 0x00007ffff385508f in g_signal_emit () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000006 0x00007ffff43ea33c in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000007 0x00007ffff42d1184 in gtk_propagate_event () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000008 0x00007ffff42d153b in gtk_main_do_event () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000009 0x00007ffff3f45c5c in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
0000010 0x00007ffff3563137 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffff3563390 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000012 0x00007ffff35636b2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000013 0x00007ffff42d05b7 in gtk_main () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000014 0x00007ffff5f8f9c5 in wxGUIEventLoop::DoRun() ()
   from /usr/lib/x86_64-linux-gnu/libwx_gtk2u_core-3.0.so.0
0000015 0x00007ffff56d06e3 in wxEventLoopBase::Run() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000016 0x00007ffff5695a06 in wxAppConsoleBase::MainLoop() ()
   from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000017 0x00007ffff5722300 in wxEntry(int&, wchar_t**) ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000018 0x00000000005b051b in main (argc=1, argv=0x7fffffffdc58) at amule-gui.cpp:95
(0003684)
Marcell (developer)
2016-04-06 22:13

I think that this crash is related to libgtk-x11-2.0 and debian. That is why I am not able to reproduce it using Ubuntu.

You might try changing the theme of your desktop as I have found that similar crashes in other programs were avoided using this workaround.
(0003697)
GonoszTopi (administrator)
2016-10-18 02:21

Confirmed, the crash happens only with wxGTK-3.0.2 and above.

- Issue History
Date Modified Username Field Change
2015-12-25 01:40 zanetu New Issue
2016-03-28 21:06 d0ink Note Added: 0003678
2016-04-05 07:21 zanetu Note Added: 0003683
2016-04-06 22:13 Marcell Note Added: 0003684
2016-04-06 22:16 Marcell Status new => acknowledged
2016-04-06 22:16 Marcell Resolution open => unable to reproduce
2016-04-06 22:16 Marcell Product Version => SVN
2016-10-18 02:21 GonoszTopi Note Added: 0003697
2016-10-18 02:21 GonoszTopi Status acknowledged => confirmed
2016-10-18 02:21 GonoszTopi Resolution unable to reproduce => open
2016-10-18 02:21 GonoszTopi Target Version => 2.3.3
2016-11-25 17:55 GonoszTopi Fixed in Revision => 10973
2016-11-25 17:55 GonoszTopi Status confirmed => resolved
2016-11-25 17:55 GonoszTopi Resolution open => fixed
2016-11-25 17:55 GonoszTopi Fixed in Version => 2.3.3


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker